Imports System.ServiceModel.Activation
Imports System.Data.SqlClient
Imports Newtonsoft.Json
Imports Nuvolar.Scanner.Module.CSharp

<AspNetCompatibilityRequirements(RequirementsMode:=AspNetCompatibilityRequirementsMode.Allowed)>
Public Class Service
    Implements IService

    Private _ScannerModule As ScannerModule
    Public Sub New()
        _ScannerModule = New ScannerModule
    End Sub
    Public Function GetVersionInfo(I As String) As String Implements IService.GetVersionInfo
        Dim _JSON As String = ""

        _JSON = "You send : " & I
        Return _JSON
    End Function

    Public Function GetInfo(I As String) As String Implements IService.GetInfo
        Return _ScannerModule.GetInfo(I)
    End Function
End Class
